Bug 487642 - kernel hangs while booting, after Creating initial device nodes
kernel hangs while booting, after Creating initial device nodes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 02:51 EST by Sander Hoentjen
Modified: 2009-07-13 11:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 11:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
show_backtrace_all_cpus after boot hang (1.11 KB, text/plain)
2009-05-03 01:06 EDT, Jimmy Rentz
no flags Details
show_task_states after boot hang (51.52 KB, text/plain)
2009-05-03 01:08 EDT, Jimmy Rentz
no flags Details

  None (edit)
Description Sander Hoentjen 2009-02-27 02:51:08 EST
Description of problem:

kernel hangs while booting, after Creating initial device nodes, this happens on a Dell PowerEdge 2950
It happens for all rawhide kernels I tested.

Version-Release number of selected component (if applicable):
latest I tested: kernel-2.6.29-0.157.rc6.git2.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. Get a Dell PowerEdge 2950
2. Install F10
3. yum --enablerepo=rawhide update
4. reboot
  
Actual results:
system hangs during boot

Expected results:
rebooting is fine

Additional info:
last 2 lines printed are:
Creating initial device nodes
üüüüüüüüüüüüüüü
Comment 1 Chuck Ebbert 2009-02-27 18:51:25 EST
I see this too, if I try to boot to runlevel 3.
Comment 2 sangu 2009-02-27 21:03:14 EST
Sometimes this issue happens too in my linux box.
< http://www.smolts.org/show?uuid=pub_4fcb818f-090b-4e77-a48b-6e23f8b3fc06 >
Comment 3 Jimmy Rentz 2009-05-02 11:28:23 EDT
I installed from f11 rawhide on my x86_64 system (AMD 9750 x4, 4GB, 2.6.29.2-121.fc11_x86_64), and I experience this problem on every boot.
This the last message printed:
Creating initial device nodes
 
I followed the kernel debugging steps noted in the wiki but with with no success.  
The best I could do is get a stack backtrace for each cpu (sysrq l):
CPU2:
CPU 2:
Modules linked in:
....
RIP: ... native_safe_halt+0xb/0xd
....
Call Trace:
   ... ? default_idle+0x51/0x7c
   ....? c1e_idle+0x124/0x12b
   ....? cpu_idle+0x68/0xb3
   ....? start_secondary+0x199/0x19e

NOTE: This system was previously running f10 and a 2.6.29-rc kernel.
Comment 4 Jimmy Rentz 2009-05-03 01:06:59 EDT
Created attachment 342202 [details]
show_backtrace_all_cpus after boot hang
Comment 5 Jimmy Rentz 2009-05-03 01:08:08 EDT
Created attachment 342203 [details]
show_task_states after boot hang
Comment 6 Jimmy Rentz 2009-05-03 01:09:23 EDT
I was able to get the serial console to work so I attached these sysrq dumps.  Though, I could never capture the boot log...It always resulted in garbage no matter what baud-rate I tried.
Comment 7 Jimmy Rentz 2009-05-04 21:01:33 EDT
Okay, my problem doesn't look kernel related...There is some problem in mkinitrd.  I installed the version from F10 and rebuilt the initrd and it booted fine.  Will file there.
Comment 8 Chuck Ebbert 2009-05-07 01:37:37 EDT
Possibly the same as bug 499057 which is marked closed but may not actually be fixed.
Comment 9 Bug Zapper 2009-06-09 07:41:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Sander Hoentjen 2009-07-13 11:25:19 EDT
Whatever it was it seems fixed now.

Note You need to log in before you can comment on or make changes to this bug.